#ifndef _HTP_AGENT_H_
#define _HTP_AGENT_H_

#include <stdio.h>
#include <stdint.h>
#include <stddef.h>

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @请使用 htp_init，不要直接使用此函数
 */
void __attribute__((visibility("default")))
o0OO0OOO000oOoOo(const char *appid, const char *game_key, int server_type);

/**
 * @请使用 htp_set_role_info，不要直接使用此函数
 */
void __attribute__((visibility("default")))
oOoO0ooo000Oo0oo(const char *role_id, const char *role_name, const char *role_account,
                 const char *role_server, int server_id, const char *game_json);

/**
 * @请使用 htp_ioctl，不要直接使用此函数
 *
 */
int __attribute__((visibility("default")))
OoOooo0o0ooOO000(int request, const char *data, /*[out]*/char *buf, size_t size, /*[out]*/
                 size_t *used_buf_size);

/**
 * @请使用 htp_get_data_sign，不要直接使用此函数
 */
int __attribute__((visibility("default")))
O0Oo0OoooOo00OO0(int alg_type, const char *data, /*[out]*/char *buf, size_t size,
                 size_t *used_buf_size);

/**
 * @请使用 htp_enc_local，不要直接使用此函数
 */
int __attribute__((visibility("default")))
oooOooOOoOoOO0oO(const char *buf, size_t size, /*[out]*/char *enc_buf,
                 size_t enc_buf_size, /*[out]*/size_t *used_buf_size, int alg_type);

/**
 * @请使用 htp_dec_local，不要直接使用此函数
 */
int __attribute__((visibility("default")))
Oo0oOo0o00OoooOo(const char *buf, size_t size, /*[out]*/char *dec_buf,
                 size_t dec_buf_size, /*[out]*/size_t *used_buf_size, int alg_type);

/**
 * @请使用 htp_decrypt_buf，不要直接使用此函数
 */
int __attribute__((visibility("default")))
OoO0o00000Oo0ooO(char *buf, size_t buf_len, /*[out]*/char *dec_buf, size_t dec_buf_len, /*[out]*/
                 size_t *used_buf_len);

/**
 * @请使用 htp_register_info_receiver，不要直接使用此函数
 */
void __attribute__((visibility("default"))) oOOOo0O0oooO00oO(void *ptr);

/**
 * @请使用 htp_aes_load_table，不要直接使用此函数
 */
int __attribute__((visibility("default"))) oOOOoooo0000o00O(int bind);

/**
 * @请使用 htp_safe_comm，不要直接使用此函数
 */
int __attribute__((visibility("default")))
oOOoo0Oo0000o00O(int alg_type, const char *data, size_t data_len, /*[out]*/char *buf,
                 size_t size, /*[out]*/size_t *used_buf_size, int dec);


/**
 * @请使用 htp_register_touchevent，不要直接使用此函数
 *
 */
void __attribute__((visibility("default")))
OoOoOo0o0ooOO000(int gameplayId, int sceneId);

/**
 * @请使用 htp_unregister_touchevent，不要直接使用此函数
 *
 */
void __attribute__((visibility("default")))
OoOoOo0o0ooOO0o0();

#ifdef __cplusplus
}
#endif
#endif /*_HTP_AGENT_H_*/
